get secrets.md

Get Secrets

Media API · Content Key Policies

POST https://app.mk.io/api/v1/projects/{project_name}/media/contentKeyPolicies/{policy_name}/getPolicyPropertiesWithSecrets

Get a Content Key Policy including secret values

RBAC Capability Required: ams.contentkeypolicy.create

Authentication

Path parameters

Name Type Required Description
project_name string Yes
policy_name string Yes

Example request

curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/media/contentKeyPolicies/{policy_name}/getPolicyPropertiesWithSecrets" \
  -H "Authorization: Bearer <token>"

Responses

200 — Returns a single Content Key Policy with secrets

No response body.

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: media-api · operationId: [post]_/api/v1/projects/{project_name}/media/contentKeyPolicies/{policy_name}/getPolicyPropertiesWithSecrets